import {Gamesystem} from "./Gamesystem";
import {ProductState} from "./ProductState";
import {ProductTransition} from "./ProductTransition";
import {State} from "./State";
import {Transition} from "./Transition";
import {SimpleState} from "./SimpleState";
import {SimpleGamesystem} from "./SimpleGamesystem";

export class ProductGamesystem extends Gamesystem<ProductState, ProductTransition> {

  innerGamesystems: SimpleGamesystem[] = [];
  parentGamesystem: ProductGamesystem | undefined

  createState(label: string, description: string): ProductState | undefined {
    return undefined;
  }

  createTransition(startingState: ProductState, endingState: ProductState): ProductTransition | undefined {
    return undefined;
  }

  removeState(state: ProductState): boolean {
    return false;
  }

  removeInnerState(state: SimpleState) {

  }



}
